package com.yidianling.tests.home

import com.alibaba.android.arouter.facade.annotation.Route
import com.channel.ydl_flutter_base.base.BaseFlutterFragment
import com.ydl.ydlcommon.utils.StatusBarUtils
import com.yidianling.tests.home.plugin.TestPlugin
import io.flutter.view.FlutterView

/**
 * flutter版测评首页
 * Created by xj on 2019/11/19.
 */
@Route(path = "/tests/home_fragment")
class NewTestHomeFragment : BaseFlutterFragment() {
    override fun initChannelPlugin(flutterView: FlutterView) {
        val statusBarHeight = StatusBarUtils.getStatusBarHeight(requireContext());
        flutterView.setPadding(0,statusBarHeight,0,0)
        TestPlugin.Companion.register(this,flutterView)
    }


    override fun initialRoute(): String {
        return "test/home"
    }
}